<?php
// $Id: javanode.admin.inc,v 1.1.2.3 2010/12/26 20:37:20 jimmyax Exp $

/**
 * @file
 *   Various admin related tasks for Javanode.
 */

/**
 * Admin settings form.
 */
function javanode_admin_settings() {
  $form = array();
  $form['display_settings'] = array(
    '#type' => 'fieldset',
    '#title' => t('Display settings'),
    '#collapsible' => TRUE,
  );

  $form['display_settings']['default_display'] = array(
    '#type' => 'radios',
    '#title' => t('Default display setting'),
    '#default_value' => variable_get('javanode_default_display', JAVANODE_DISPLAY_XHTML),
    '#description' => t('The default display setting that will be used when a new java node is created. You can use either the XHTML or the <a href="@link">Deployment Toolkit</a> from Sun. The XHTML way will work for non-js users. The toolkit will deploy using javascript to create an &lt;applet&gt;-tag. If you want non-javascript users to be able to run the application choose the XHTML option.', array('@link' => 'http://www.java.com/js/deployJava.txt')),
    '#options' => array(
      JAVANODE_DISPLAY_XHTML => t('Deploy using XHTML tags only. This is the preferred option.'),
      JAVANODE_DISPLAY_TOOLKIT => t('Deploy using the Deployment Toolkit.'),
    ),
  );
  
  $form['#validate'] = array('javanode_admin_settings_validate');
  
  return system_settings_form($form);
}

/**
 * Function to validate the form generated by javanode_admin_settings().
 */
function javanode_admin_settings_validate($form, &$form_state) {
}
